//TOOLS
import DataUtils, {
    REQUEST_TYPE_GET,
    REQUEST_TYPE_PUT,
    REQUEST_TYPE_POST,
    REQUEST_TYPE_DELETE,
    CONTENT_TYPE_JSON,
    CONTENT_TYPE_FORM
} from '../tools/utilities/DataUtils.jsx';
import * as DataEvent from '../tools/events/DataEvent.jsx';
import Animate from '../tools/effects/Animate.jsx';
import * as Ease from '../tools/effects/Animate.jsx';
import TextEffects from '../tools/effects/TextEffects.jsx';
class DisplayIndex {
    //--------------------------
    // constructor
    //--------------------------
    constructor() {
        this.start();
    }
    //--------------------------
    // methods
    //--------------------------
    start() {
        document.getElementById('the-intro').style.opacity = 1;
         
        new Animate().object({
            targets: document.getElementById('recent-work'),
            duration: 200,
            opacity: 1,
            easing: 'easeInOutQuad',
            complete: function () {

            }
        });

        new Animate().object({
            targets: document.getElementById('recent-blog'),
            duration: 500,
            opacity: 1,
            easing: 'easeInOutQuad',
            complete: function () {

            }
        });

        new Animate().object({
            targets: document.getElementById('float-bg'),
            duration: 2000,
            opacity: 1,
            easing: 'easeInQuad',
            complete: function () {

            }
        });
    }
    //--------------------------
    // event handlers
    //--------------------------

}
export {
    DisplayIndex as
    default
}
